@import "src/styles/btn";
@import "src/styles/variables";

$employee-spacing: 24px;
$employee-height: 200px;

.employee-list {
  margin-top: 40px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  border: 1px solid $color-grey-light;
  border-radius: 4px;

  &__header {
    width: 100%;
    display: flex;
    border-bottom: 1px solid $color-grey-light;
    padding: $employee-spacing / 2 0;
    font-weight: bold;
    background-color: $color-grey-lighter;
  }

  &__content {
    min-height: $employee-height + $employee-spacing;
    max-height: 70vh;
    overflow-y: overlay;
  }

  ul {
    list-style: none;
    padding: 0;
    margin: 0;
  }

  &__row {
    display: flex;
    padding: $employee-spacing / 2 0;
    border-bottom: 1px solid $color-grey-light;
    cursor: pointer;

    &:last-child {
      border-bottom: none;
    }

    &--active {
      background-color: rgba($color-grey-lighter, 0.5);
    }
  }

  &__column {
    width: 25%;
    text-align: center;
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
  }

  &__buttons {
    display: flex;
    justify-content: flex-end;
    padding: $employee-spacing / 2 0;
  }
}
